petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexSetMigrationSF

Sets the SF for migrating from a parent DM into this DM

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetMigrationSF(DM dm, PetscSF migrationSF)

### Input Parameters

| dm | - The DM
| naturalSF | - The PetscSF

Note: It is necessary to call this in order to have DMCreateSubDM() or DMCreateSuperDM() build the Global-To-Natural map

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexCreateMigrationSF(), DMPlexGetMigrationSF()

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages